<?php
declare(strict_types=1);

namespace FiloBlu\Refilo\Plugins;

use Magento\Quote\Model\Quote\Item;
use Throwable;

/**
 * Class Cartitem
 * @package FiloBlu\Refilo\Plugins
 */
class Cartitem
{
    /**
     * @param Item $subject
     * @param $result
     * @return mixed
     */
    public function aftergetExtensionAttributes(Item $subject, $result)
    {
        try {
            $result->setParentSku($subject->getProduct()->getData('sku'));
            $result->setRowTotal($subject->getRowTotal());
        } catch (Throwable $throwable) {
            return $result;
        }

        return $result;
    }
}
